Bug 152639 - installer gets stuck on low-mem system
installer gets stuck on low-mem system
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-03-30 17:14 EST by Florin Andrei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 17:06:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2005-03-30 17:14:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Dual-PIII system, one IDE drive, 128MB RAM. I'm doing a text-mode install, in several ways: Custom, Server, etc.
I typically de-select all package groups, then re-select Development and Legacy Devel.

The installer always gets stuck when starting to install the libgcc package (which is the 3rd or 4th IIRC).
If i switch to the default graphical install mode, everything is fine.

I replaced the 128MB memory chip with a 256MB chip, and now the text-mode install is fine.

Normally i wouldn't report this, but i need the text-mode install to work flawlessly because i'm doing a lot of kickstart installs in text-mode, so perhaps this issue is signaling a hidden text-mode bug.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.see above

Additional info:
Comment 1 Jeremy Katz 2005-04-05 11:56:33 EDT
Any errors on tty3 or tty4?  Can you look at alt-sysrq-m (output will be on
tty4) to see if the kernel looks low on memory?
Comment 2 Florin Andrei 2005-04-05 13:04:56 EDT
Damn, i upgraded the system to 256M, i don't think there's an easy way to go
back. Sorry.
Comment 3 Jeremy Katz 2005-04-27 18:58:31 EDT
You can boot with mem=128M
Comment 4 Jeremy Katz 2005-09-21 17:06:23 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received the feedback we
requested, we will assume the problem was not reproduceable or has been fixed in
a later update for this product.  If you have further details, feel free to
reopen the report with the additional details attached.

Note You need to log in before you can comment on or make changes to this bug.